import setuptools

with open('odoo/addons/somconnexio/README.md') as f:
    long_description = f.read()

setuptools.setup(
    setup_requires=['setuptools-odoo'],
    long_description=long_description,
    long_description_content_type='text/markdown',
    odoo_addon={
        'depends_override': {
            'account_asset_management': 'odoo12-addon-account-asset-management==12.0.2.3.0',
            'account_banking_sepa_credit_transfer': 'odoo12-addon-account-banking-sepa-credit-transfer==12.0.1.0.0.99.dev11',
            'account_banking_sepa_direct_debit': 'odoo12-addon-account-banking-sepa-direct-debit==12.0.1.3.0',
            'account_chart_update': 'odoo12-addon-account-chart-update==12.0.1.0.2.99.dev7',
            'account_due_list': 'odoo12-addon-account-due-list==12.0.1.0.0.99.dev9',
            'account_financial_report': 'odoo12-addon-account-financial-report==12.0.1.4.2.99.dev1',
            'account_invoice_validation_queued': 'odoo12-addon-account-invoice-validation-queued==12.0.1.0.0.99.dev3',
            'account_payment_mode': 'odoo12-addon-account-payment-mode==12.0.1.0.1',
            'account_payment_order': 'odoo12-addon-account-payment-order==12.0.1.6.3',
            'account_payment_partner': 'odoo12-addon-account-payment-partner==12.0.1.0.2',
            'account_payment_return': 'odoo12-addon-account-payment-return==12.0.2.1.0',
            'base_import_async': 'odoo12-addon-base-import-async==12.0.1.0.0.99.dev10',
            'check_concurrent_update': 'odoo12-addon-check-concurrent-update==12.0.1.0.0',
            'component': 'odoo12-addon-component==12.0.1.0.0.1',
            'component_event': 'odoo12-addon-component-event==12.0.1.0.0.99.dev11',
            'contract': 'odoo12-addon-contract==12.0.7.3.4',
            'contract_mandate': 'odoo12-addon-contract-mandate==12.0.1.0.2',
            'contract_payment_mode': 'odoo12-addon-contract-payment-mode==12.0.1.1.0.99.dev4',
            'crm_lead_product': 'odoo12-addon-crm-lead-product==12.0.1.0.0.99.dev12',
            'date_range': 'odoo12-addon-date-range==12.0.1.0.0.99.dev20',
            'easy_my_coop': 'odoo12-addon-easy-my-coop==12.0.3.0.2.99.dev2',
            'easy_my_coop_api': 'odoo12-addon-easy-my-coop-api==12.0.0.0.1.99.dev22',
            'easy_my_coop_es': 'odoo12-addon-easy-my-coop-es==12.0.0.0.14',
            'easy_my_coop_sponsorship': 'odoo12-addon-easy-my-coop-sponsorship==12.0.0.0.0-rc2',
            'email_template_config': 'odoo12-addon-email-template-config==12.0.1.0.0.99.dev3',
            'hr_attendance_report_theoretical_time': 'odoo12-addon-hr-attendance-report-theoretical-time==12.0.1.5.1',
            'hr_holidays_public': 'odoo12-addon-hr-holidays-public==12.0.1.1.1.99.dev3',
            'l10n_es_account_asset': 'odoo12-addon-l10n-es-account-asset==12.0.2.0.6',
            'l10n_es_account_bank_statement_import_n43': 'odoo12-addon-l10n-es-account-bank-statement-import-n43==12.0.1.0.6',
            'l10n_es_aeat': 'odoo12-addon-l10n-es-aeat==12.0.2.3.0.99.dev2',
            'l10n_es_aeat_mod111': 'odoo12-addon-l10n-es-aeat-mod111==12.0.1.3.1.99.dev1',
            'l10n_es_aeat_mod190': 'odoo12-addon-l10n-es-aeat-mod190==12.0.1.0.2',
            'l10n_es_aeat_mod303': 'odoo12-addon-l10n-es-aeat-mod303==12.0.1.14.1.99.dev2',
            'l10n_es_aeat_mod347': 'odoo12-addon-l10n-es-aeat-mod347==12.0.1.8.0',
            'l10n_es_aeat_mod349': 'odoo12-addon-l10n-es-aeat-mod349==12.0.1.3.1.99.dev2',
            'l10n_es_aeat_mod390': 'odoo12-addon-l10n-es-aeat-mod390==12.0.2.8.0.99.dev1',
            'l10n_es_mis_report': 'odoo12-addon-l10n-es-mis-report==12.0.1.1.0',
            'l10n_es_partner': 'odoo12-addon-l10n-es-partner==12.0.1.0.2',
            'l10n_es_toponyms': 'odoo12-addon-l10n-es-toponyms==12.0.1.0.0.99.dev9',
            'mail_activity_board': 'odoo12-addon-mail-activity-board==12.0.1.0.1',
            'mail_activity_done': 'odoo12-addon-mail-activity-done==12.0.1.1.0',
            'mass_editing': 'odoo12-addon-mass-editing==12.0.2.2.0',
            'mass_mailing_list_dynamic': 'odoo12-addon-mass-mailing-list-dynamic==12.0.1.0.3',
            'mass_mailing_patern': 'odoo12-addon-mass-mailing-partner==12.0.1.0.7',
            'mis_builder': 'odoo12-addon-mis-builder==12.0.3.6.4',
            'mis_builder_budget': 'odoo12-addon-mis-builder-budget==12.0.3.5.0',
            'partner_firstname': 'odoo12-addon-partner-firstname==12.0.1.1.0',
            'partner_priority': 'odoo12-addon-partner-priority==12.0.1.0.0.99.dev3',
            'queue_job': 'odoo12-addon-queue-job==12.0.1.5.0',
            'server_environment': 'odoo12-addon-server-environment==12.0.2.0.4',
            'web_decimal_numpad_dot': 'odoo12-addon-web-decimal-numpad-dot==12.0.1.0.0.99.dev9',
            'web_favicon': 'odoo12-addon-web-favicon==12.0.1.0.0.99.dev14',
            'web-m2x-options': 'odoo12-addon-web-m2x-options==12.0.2.0.0.99.dev4',
            'web_no_bubble': 'odoo12-addon-web-no-bubble==12.0.1.0.0.99.dev8',
            'web_responsive': 'odoo12-addon-web-responsive==12.0.2.3.2',
            'web_searchbar_full_width': 'odoo12-addon-web-searchbar-full-width==12.0.1.0.0.99.dev6',
            'web_widget_open_tab': 'odoo12-addon-web-widget-open-tab==12.0.1.0.1.99.dev2',
        },
        'external_dependencies_override': {
            'python': {
                'faker': 'faker==9.3.1',
                'factory': 'factory-boy',
                'otrs_somconnexio': 'otrs-somconnexio==0.4.27',
                'stdnum': 'python-stdnum==1.14',
                'pyopencell': 'pyopencell==0.4.5',
                'hashids': 'hashids==1.3.1'
            },
        },
    },
)
